///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Accessors for working with the bound data
//
///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
// Application Title
function MIReportSetApplicationTitle(title)
{
	MISetValueForKeyPathInDataSource(title, "content.processTitle", "appStateData");
}


///////////////////////////////////////////////////////////////////////////////////////////////////
// Detail List
function MIReportHideDetailsList()
{
	MISetValueForKeyPathInDataSource(false, "content.showDetailList", "reportData");
}

function MIReportShowDetailsList()
{
	MISetValueForKeyPathInDataSource(true, "content.showDetailList", "reportData");
}

function MIReportSetDetailsList(details)
{
//	window.console.log("details: " + details);

	if(details)
	{
		var oldDetails = MIValueForKeyPathInDataSource("content.detailArray", "reportData");
		MIReplaceContentsOfArrayWithObjects(oldDetails, details);
		MIReportShowDetailsList();
	}
	else
	{
		MIReportHideDetailsList();
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////
// Details

function MIReportSetDetails(details)
{
	window.console.log("details: " + details);
	MISetValueForKeyPathInDataSource(details, "content.details", "reportData");
}




///////////////////////////////////////////////////////////////////////////////////////////////////
// SMART Results
function MIReportHideSMARTResults()
{
	MISetValueForKeyPathInDataSource(false, "content.showSMARTImage", "reportData");
}

function MIReportShowSMARTResults()
{
	MISetValueForKeyPathInDataSource(true, "content.showSMARTImage", "reportData");
}

function MIReportSetSMARTResults(smartImageSrc)
{
	if(smartImageSrc)
	{
		MISetValueForKeyPathInDataSource(smartImageSrc, "content.SMARTImage", "reportData");
		MIReportShowSMARTResults();
	}
	else
	{
		MIReportHideSMARTResults();
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////
// Target Type
function MIReportSetTargetType(type)
{
//	var targetType = type + ":";
	var targetType = type;
	MISetValueForKeyPathInDataSource(targetType, "content.targetType", "reportData");
}


///////////////////////////////////////////////////////////////////////////////////////////////////
// Job Icon Placards
function MIReportSetJobIcon(src)
{
	MISetValueForKeyPathInDataSource(src, "content.jobIcon", "reportData")
}

///////////////////////////////////////////////////////////////////////////////////////////////////
// Localized Completed Time Label
function MIReportSetCompletedLabel(src)
{
	document.getElementById('timeCompletedLabel').innerHTML = src;
}
